#ifndef BASECONFIG_
#define BASECONFIG_

struct stanza;
struct stanza {
	char *name;
	struct stanza *next;
	int multiple, text, key;
	char *label, *command;
};

#ifndef BASECONFIG_C_
extern struct stanza *first_stanza, *last_stanza, *current_stanza;
#else
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <time.h>
#include <conflib.h>
#include <tinterp.h>

#include "miscfnc.h"
#include "translate.h"

#endif
void free_stanzas(void);
void scroll_stanzas(long n);
struct stanza *find_stanza_by_name(char *name);

void clear_allenv(void);
int read_baseconfig(char *name); 
#endif
