/*
  otak project.
  copyright (C) 2002 
  grzegorz moskal,  <g.moskal@opengroup.org>
  license : gnu gpl version 2 			*/

#define BUF_C
#include "buf.h"


static char *buf = NULL;
static int b_len;
static int b_place;

void b_addstr(char *str)
{
	int l;
	if (str == NULL || *str == '\0')
		return;
	l = strlen(str);
	if (b_place + l >= b_len) {
		b_len += l + 3;
		buf = xrealloc(buf, sizeof(char) * (b_len+1));
	}
	sprintf(buf+b_place, "%s", str);
	b_place += l;
}

void b_cleanup(void)
{
	buf = NULL;	
	b_len = 0;
	b_place = 0;
}

char *b_return(void)
{
	return buf;
}
