/*
  otak project.
  copyright (C) 2002 
  grzegorz moskal,  <g.moskal@opengroup.org>
  license : gnu gpl version 2 			*/

#define WCHOICE_C_	// this is part of winchoice.c file
#include "wchoice.h"

void currentdrawer_set(struct drawer *d)
{
	if (d)
		current_drawer = d;
}

void use_item(struct item *ij, long data)
{
	(void)data;
	if (current_drawer->pattern->text)
		wtext_show();
	else {
		export_allenv(current_man);
		setenv(current_drawer->pattern->name, ij->caption, 1);
		call_cmd(current_drawer->pattern->command);
		scr_refresh();
	}
}

struct item *current_item()
{
	long n = mchoice_len();
	struct item *ij = current_drawer->first;
	while (n--)
		ij = ij->next;
	return ij;
	
}

void use_item_m(struct tobj *obj, long data)
{
	(void)obj;
	use_item(current_item(), data);
}

void muse_create_m(struct tobj *obj, long data)
{
	struct item *ij = current_drawer->first;
	
	(void)obj;

	if (ij->next) {
		mchoice_flush();
		wchoice_show();
		for (; ij; ij = ij->next)
			mchoice_add(ij->caption, &use_item_m, data);
		
	} else 
		use_item(ij, data);
}

