#ifndef _NOTIFY_H
#define _NOTIFY_H

struct notify;
struct tobj;

typedef void (*notifyfnc)(struct tobj*, long);

int notify_add( struct tobj *cause, long event,
		struct tobj *execute, long method ,long data);
int notify_add_fnc(struct tobj *cause, long event,
		notifyfnc fnc, long data);
void notify_del3( struct tobj *cause );
void notify_del2( struct tobj *cause , long event );
void notify_del( struct tobj *cause, long event,
		struct tobj *execute, long method );
void notify_del_fnc(struct tobj *cause, long event,
		notifyfnc fnc );
int notify_process( struct tobj *cause , long event );

/* Methods (51 - 100) */
#define NOTIFY_SEND_EVENT (51L)

#endif
