#ifndef MISCFNC_
#define MISCFNC_

#define NEXT(j) j->next
#define SWITCH(j) j=NEXT(j)
#include <stdio.h>

#ifdef MISCFNC_C_
#include <stdlib.h>
#include <ctype.h>
#include <unistd.h>
#include <errno.h>
#include <string.h>
#include <tdisplay.h>
#include <tsys.h>
#include <time.h>

#include <sys/stat.h>
#include <sys/types.h>
#include <sys/wait.h>
	       
#include "translate.h"
#include "winfo.h"
#include "otakconfig.h"
#include "otak.h"	// for stream function
#include "translate.h"

#endif
void init_database();
void init_rand();

void call_cmd(char *bin);

char *strglue(char *p1, char *space, char *p2);
char *strdglue(char *p1, char *p2);
char *strtolower(char *);
char *rline(FILE *fd);
int confirm(char *question, char yes, char no, FILE *in);
int d(int hm);

void errexit(char *s);
void errmsgf(char *s, char *arg);	// if NOT_ERROR keep silent
void msgf(char *s, char *arg);		// if NOT_ERROR || EVRYTHING keep silent
void msgi(char *s, char *arg);		
void cmsg(char *s);

char *xgetcwd();
void *xfree(void *);
void *xmalloc(size_t size);
void *xrealloc(void *ptr, size_t size);
char *return_otakvmsg(char *);
char *wide_text(char *);
#endif
