#ifndef SIZES_
#define SIZES_

#define DEFINE_SIZES(win) int x = get_x(win);\
	int y = get_y(win);\
	int w = get_w(win);\
	int h = get_h(win)

enum {
	Wchoice = 0, Wdata, Wedit, Whelp, Winfo, Wload, Wpeople, Wsearch, Wtext 
};

struct tobj;

#ifdef SIZES_C_

struct size {
	int x, y;
	int w, h;
};
#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <time.h>
#include <conflib.h>
#include <tinterp.h>

#include "tsystem.h"	// t_screen*
#include "otakconfig.h"	// big_windows;
#include "miscfnc.h"	// msgf

#include "snormal.h"	// define DEFINE_NORMAL
#include "sbig.h"	// define DEFINE_BIG


static void change_size(char *s);
static void fill_sizes(int tab[]);
static int return_windex(char *pattern);
static char *return_wname(int w);

#endif

void set_size(int win, struct tobj *twin);
int read_sizes(char *name);
void write_sizes(char *name);

int get_x(int win);
int get_y(int win);
int get_w(int win);
int get_h(int win);

int set_x(int win, int x);
int set_y(int win, int y);
int set_w(int win, int w);
int set_h(int win, int h);

void init_sizes(void);
#endif
