/*
  otak project.
  copyright (C) 2002 
  grzegorz moskal,  <g.moskal@opengroup.org>
  license : gnu gpl version 2 			*/

#define INTRO_C_
#include "intro.h"

static int typewriter(char *str, int x, int y)
{
	if (str == NULL)
		return 0;
		
	for (move(y, x); *str; str++) {
		if (*str == '\n') {
			move(++y, x);
			continue;
		}
		
		if (getch() != ERR)
			return 0;
		addch(*str);
		refresh();
		usleep(17000);
	}
	return 1;
}

void intro(int state)
{
	if (silent)	// treat intro like an error :)
		return;
	
	if (state > QUIT && show_intro) {
		char buf[100];
		
		sprintf(buf,"%s", wide_text(PACKAGE));
		if (!typewriter(buf, COLS/2-strlen(buf)/2, LINES/2))
			return;
			
		sprintf(buf,"%s  %s", wide_text("version"), wide_text(VERSION));
		if (!typewriter(buf, COLS/2-strlen(buf)/2, LINES/2+1))
			return;
			
		usleep(500*1000);
	} 
}

